STRUCT TE(3)

NAME
boost::accumulators::impl::value_accumulator_impl

SYNOPSIS

// In header: <boost/accumulators/framework/accumulators/value_accumulator.hpp>
template<typename ValueType, typename Tag>
struct value_accumulator_impl : public boost::accumulators::accumulator_base {
  // types
  typedef ValueType result_type;
  // construct/copy/destruct
  template<typename Args> value_accumulator_impl(Args const &);
  // public member functions
  result_type result(dont_care) const;
};

DESCRIPTION

  value_accumulator_impl public construct/copy/destruct

    1.

    template<typename Args> value_accumulator_impl(Args const & args);

  value_accumulator_impl public member functions

    1.

    result_type result(dont_care) const;